/* HAUIF.H -- Example host application user interface function prototypes.
 * Copyright (c) 1993,1994 by Echelon Corporation.
 * All Rights Reserved.
 *
 * Date last modified: 11/17/94
 */

#include "ha_comn.h"

extern int getInteger( const char * prompt, int defaultVal );

extern Bool getChoice( const char * prompt, char trueChoice,
        char falseChoice );

extern void printArray( const void * data, int length, const char * format );

extern Bool processCmd( const char * prompt );

extern void errorDisplay( const char * str, const char * err );

extern Bool reportFlag, verboseFlag;

extern const char * svcTable[ ];       // strings for service type

