/* IOCTL.C -- Borland C-compatible ioctl() function for Microsoft C.
 * Copyright (c) 1993 by Echelon Corporation.
 * All Rights Reserved.
 *
 * Date last modified: 3/25/93
 */

#include <dos.h>
#include <memory.h>

int ioctl( int handle, int func, void far * argdx, int argcx ) {
    union  REGS      inregs;
    union  REGS      outregs;
    struct SREGS     segregs;
    int              result = -1;

    memset( &inregs, 0, sizeof( inregs ) );
    memset( &outregs, 0, sizeof( outregs ) );
    memset( &segregs, 0, sizeof( segregs ) );
    inregs.h.ah = 0x44;
    inregs.h.al = func;
    inregs.x.bx = handle;
    inregs.x.cx = argcx;
    inregs.x.dx = FP_OFF( argdx );
    segregs.ds  = FP_SEG( argdx );
    intdosx( &inregs, &outregs, &segregs );

    if( outregs.x.cflag ) {
        result = -1;
    } else {
        result = outregs.x.ax;
    }
    return result;
}
